ingest raw event
curl --request POST \
--url https://api.unprice.dev/v1/usage/record \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "idem_123",
"eventSlug": "tokens_used",
"properties": {
"amount": 1
},
"id": "evt_123",
"customerId": "cus_123",
"timestamp": 1741454800000
}
'import requests
url = "https://api.unprice.dev/v1/usage/record"
payload = {
"idempotencyKey": "idem_123",
"eventSlug": "tokens_used",
"properties": { "amount": 1 },
"id": "evt_123",
"customerId": "cus_123",
"timestamp": 1741454800000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'idem_123',
eventSlug: 'tokens_used',
properties: {amount: 1},
id: 'evt_123',
customerId: 'cus_123',
timestamp: 1741454800000
})
};
fetch('https://api.unprice.dev/v1/usage/record', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accepted": true
}{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}usage
ingest raw event
Ingest a raw events. All ingested events are reported and a notification will be triggered when the limit is hit.
POST
/
v1
/
usage
/
record
ingest raw event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The raw event ingestion payload
Logical idempotency key for deduplicating raw events
Example:
"idem_123"
The event slug
Example:
"tokens_used"
Arbitrary event properties
Show child attributes
Show child attributes
Example:
{ "amount": 1 }Optional event id. If omitted, the API will generate an internal event id for processing.
Example:
"evt_123"
The unprice customer id
Example:
"cus_123"
Event timestamp in epoch milliseconds, if not provided will use the time of the request
Example:
1741454800000
Response
The raw event was accepted for asynchronous processing
The raw event was accepted for asynchronous processing
Available options:
true Example:
true
⌘I